View a markdown version of this page

GetContainerRecipe - EC2 Image Builder
Services or capabilities described in Amazon Web Services documentation might vary by Region. To see the differences applicable to the China Regions, see Getting Started with Amazon Web Services in China (PDF).

GetContainerRecipe

Retrieves a container recipe.

Request Syntax

GET /GetContainerRecipe?containerRecipeArn=containerRecipeArn HTTP/1.1

URI Request Parameters

The request uses the following URI parameters.

containerRecipeArn

The Amazon Resource Name (ARN) of the container recipe to retrieve.

Pattern: ^arn:aws[^:]*:imagebuilder:[^:]+:(?:[0-9]{12}|aws):container-recipe/[a-z0-9-_]+/(?:[0-9]+|x)\.(?:[0-9]+|x)\.(?:[0-9]+|x)$

Required: Yes

Request Body

The request does not have a request body.

Response Syntax

HTTP/1.1 200 Content-type: application/json { "containerRecipe": { "arn": "string", "components": [ { "componentArn": "string", "parameters": [ { "name": "string", "value": [ "string" ] } ] } ], "containerType": "string", "dateCreated": "string", "description": "string", "dockerfileTemplateData": "string", "encrypted": boolean, "instanceConfiguration": { "blockDeviceMappings": [ { "deviceName": "string", "ebs": { "deleteOnTermination": boolean, "encrypted": boolean, "iops": number, "kmsKeyId": "string", "snapshotId": "string", "throughput": number, "volumeSize": number, "volumeType": "string" }, "noDevice": "string", "virtualName": "string" } ], "image": "string" }, "kmsKeyId": "string", "name": "string", "owner": "string", "parentImage": "string", "platform": "string", "tags": { "string" : "string" }, "targetRepository": { "repositoryName": "string", "service": "string" }, "version": "string", "workingDirectory": "string" }, "latestVersionReferences": { "latestMajorVersionArn": "string", "latestMinorVersionArn": "string", "latestPatchVersionArn": "string", "latestVersionArn": "string" }, "requestId": "string" }

Response Elements

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

containerRecipe

The container recipe object that is returned.

Type: ContainerRecipe object

latestVersionReferences

A set of wildcard version ARNs that always reference the latest version of the resource. ARNs are included for the latest version overall, and for the latest versions within the same major, minor, and patch levels.

Type: LatestVersionReferences object

requestId

The request ID that uniquely identifies this request.

Type: String

Length Constraints: Minimum length of 1. Maximum length of 1024.

Errors

For information about the errors that are common to all actions, see Common Error Types.

CallRateLimitExceededException

You have exceeded the permitted request rate for the Amazon EC2 APIs that Image Builder calls on your behalf. Retry with an increasing or variable delay between requests.

HTTP Status Code: 429

ClientException

A generic client error. This error usually indicates that the request failed a validation check, such as when a downstream service rejects a configured value.

HTTP Status Code: 400

ForbiddenException

You are not authorized to perform the requested operation.

HTTP Status Code: 403

InvalidRequestException

The request is malformed or otherwise invalid. Verify the request and try again.

HTTP Status Code: 400

ServiceException

An internal server error occurred while Image Builder processed the request. Retrying the request may succeed.

HTTP Status Code: 500

ServiceUnavailableException

The service is unable to process your request at this time.

HTTP Status Code: 503

Examples

Get the details of a container recipe

The following example retrieves the details of the specified container recipe.

Sample Request

GET /GetContainerRecipe?containerRecipeArn=arn%3Aaws%3Aimagebuilder%3Aus-west-2%3A111122223333%3Acontainer-recipe%2Fmy-example-container-recipe%2F1.0.0 HTTP/1.1

Sample Response

HTTP/1.1 200 Content-type: application/json { "requestId": "15b03ca7-050f-46d4-945e-00232cff6b19", "containerRecipe": { "arn": "arn:aws:imagebuilder:us-west-2:111122223333:container-recipe/my-example-container-recipe/1.0.0", "containerType": "DOCKER", "name": "my-example-container-recipe", "description": "A container recipe that installs my application on Amazon Linux", "platform": "Linux", "owner": "111122223333", "version": "1.0.0", "components": [ { "componentArn": "arn:aws:imagebuilder:us-west-2:111122223333:component/my-example-container-component/1.0.0/1" } ], "dockerfileTemplateData": "FROM {{{ imagebuilder:parentImage }}}\n{{{ imagebuilder:environments }}}\n{{{ imagebuilder:components }}}\n", "encrypted": true, "parentImage": "amazonlinux:latest", "dateCreated": "2026-09-09T19:32:53.983Z", "tags": {}, "targetRepository": { "service": "ECR", "repositoryName": "my-example-container-repo" } }, "latestVersionReferences": { "latestVersionArn": "arn:aws:imagebuilder:us-west-2:111122223333:container-recipe/my-example-container-recipe/x.x.x", "latestMajorVersionArn": "arn:aws:imagebuilder:us-west-2:111122223333:container-recipe/my-example-container-recipe/1.x.x", "latestMinorVersionArn": "arn:aws:imagebuilder:us-west-2:111122223333:container-recipe/my-example-container-recipe/1.0.x", "latestPatchVersionArn": "arn:aws:imagebuilder:us-west-2:111122223333:container-recipe/my-example-container-recipe/1.0.0" } }

See Also

For more information about using this API in one of the language-specific Amazon SDKs, see the following: